// Load Naive Bayes Text Classifier
var Classifier = require( 'wink-naive-bayes-text-classifier' );
// Instantiate
var nbc = Classifier();
// Load NLP utilities
var nlp = require( 'wink-nlp-utils' );
// Configure preparation tasks
nbc.definePrepTasks( [
  // Simple tokenizer
  nlp.string.tokenize,
] );
// Configure behavior
nbc.defineConfig( { considerOnlyPresence: true, smoothingFactor: 0.5 } );
// Train!
nbc.learn( 'मुझे अपना उधार खाता बंद करना है', 'prepay' );
nbc.learn( 'मैं अपना पूरा उधार चुकाना चाहता हूँ', 'prepay' );
nbc.learn( 'मुझे अपने उधार के बचे हुए पैसे चुकाने हैं', 'prepay' );
nbc.learn( 'में उधार की रकम चुकाना चाहता हूँ', 'prepay' );

nbc.learn( 'मुझे नई गाड़ी के लिए कर्ज चाहिए', 'autoloan' );
nbc.learn( 'मुझे कार खरीदने के लिए पैसे उधार लेने की जरूरत है', 'autoloan' );
nbc.learn( 'मुझे कार के लिए पैसों की जरूरत है', 'autoloan' );
nbc.learn( 'मुझे गाड़ी खरीदने के लिए कर्ज चाहिए', 'autoloan' );
nbc.learn( 'मुझे नई कार के लिए पैसे उधार चाहिए', 'autoloan' );
// Consolidate all the training!!
nbc.consolidate();
// Start predicting...
console.log( nbc.predict( 'मुझे नई मारुती कार खरीदने के लिए कर्ज लेना है' ) );
// -> autoloan
console.log( nbc.predict( 'में गाड़ी का बचा हुआ उधार वापिस करना चाहता हूँ' ) );
// -> prepay
;
